Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_OutputCDR::from_boolean Struct Reference

`#include <CDR_Stream.h>`

List of all members.

## Public Member Functions
| from_boolean (ACE_CDR::Boolean b)
## Public Attributes
ACE_CDR::Boolean | val_

## Detailed Description

Disambiguate overload when inserting booleans, octets, chars, and bounded strings.

## Constructor & Destructor Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE ACE_OutputCDR::from_boolean::from_boolean | ( | ACE_CDR::Boolean | b | ) | `[explicit]`

## Member Data Documentation

ACE_CDR::Boolean ACE_OutputCDR::from_boolean::val_

The documentation for this struct was generated from the following files:

- CDR_Stream.h
- CDR_Stream.inl